/* -------------------------------------
    COMMON CSS
------------------------------------- */
:root {
    --philadelphia: rgb(49, 104, 155);
    --philadelphia2: rgba(49, 104, 155, 0.664);
}

*, *::before, *::after {
    box-sizing: border-box;
    margin: 0px;
    padding: 0px;
    /* outline: solid 1px red; */
}

header, 
main, 
footer, 
section, 
.version 
{
    /* outline: dashed 3px chartreuse; */
}

body {
    margin: 0px;
    font: 15px / 20px 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    /* gap: 10px; */
    justify-content: space-between;
    align-items: stretch;
    overflow-x: hidden;
}


header, main, footer {
    max-width: 800px;
    margin-inline: auto;
    padding: 10px;
    width: 100%;
}

header {
    background-color: var(--philadelphia);
    position: relative;
    padding: 20px 10px;
}

header::before,
header::after {
    content: "";
    position: absolute;
    height: 100%;
    top: 0px;
    bottom: 0px;
    width: calc((100dvw - 100%) / 2);
    background-color: var(--philadelphia);
}

/* header::before { left: calc( -1 * (100dvw - 100%) / 2); }
header::after { right: calc( -1 * (100dvw - 100%) / 2); } */

header::before {
  right: 100%;
}

header::after {
  left: 100%;
}

header > span {
    color: white;
    padding-left: 20px;
}


.ffm1 {
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-family: 'Courier New', Courier, monospace;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    font-family: Georgia, 'Times New Roman', Times, serif;
    font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
    font-weight: bold;
    font-size: 14px;
}

main {
    margin-top: 80px;
}


/* -------------------------------------
    COMMON CSS
------------------------------------- */
body {
    justify-content: flex-start;
    gap: 10px;
}



header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 1000;
    max-width: none;
    padding: 5px;
    transition: box-shadow 0.3s ease;
}

.scrolled {
    box-shadow: rgba(0, 0, 0, 0.5) 0 1px 10px 0;
}


/* -----------------------------------
    HEADER NAV, 
----------------------------------- */
nav {
    width: 800px;
    margin-inline: auto;
    padding: 10px;
}
nav ul {
    display: flex;
    gap: 10px;
    align-items: center;
}
nav li {
    list-style: none;
    color: whitesmoke;
    font-weight: bold;
    border-bottom: solid 5px transparent;
    padding: 5px 5px;
}

nav li a {
    cursor: pointer;
    color: inherit;
    text-decoration: none;
    display: block;
}

nav li:hover {
    border-bottom: solid 5px rgb(170, 170, 170); 
}
nav li.active,
nav li:active {
    border-bottom: solid 5px whitesmoke;
}
nav *:first-child {
    margin-right: auto;
}